org.apache.catalina.ha.context

## Class ReplicatedContext

- java.lang.Object
- - org.apache.catalina.util.LifecycleBase
  - - org.apache.catalina.util.LifecycleMBeanBase
    - - org.apache.catalina.core.ContainerBase
      - - org.apache.catalina.core.StandardContext
        - - org.apache.catalina.ha.context.ReplicatedContext

- All Implemented Interfaces:
    MBeanRegistration, NotificationBroadcaster, NotificationEmitter, Container, Context, Lifecycle, AbstractReplicatedMap.MapOwner

      public class ReplicatedContext
      extends StandardContext
      implements AbstractReplicatedMap.MapOwner

  Version:
    1.0
  Author:
    Filip Hanik

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `ReplicatedContext.MultiEnumeration<T>`
    `protected static class` | `ReplicatedContext.ReplApplContext`

    - ### Nested classes/interfaces inherited from class org.apache.catalina.core.ContainerBase

      `ContainerBase.ContainerBackgroundProcessor, ContainerBase.PrivilegedAddChild`

    - ### Nested classes/interfaces inherited from interface org.apache.catalina.Lifecycle

      `Lifecycle.SingleUse`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static long` | `DEFAULT_REPL_TIMEOUT`

    - ### Fields inherited from class org.apache.catalina.core.StandardContext

      `allowCasualMultipartParsing, allowLinking, cacheMaxSize, cacheObjectMaxSize, cacheTTL, context, urlEncoder`

    - ### Fields inherited from class org.apache.catalina.core.ContainerBase

      `accessLog, backgroundProcessorDelay, children, cluster, listeners, loader, logger, logName, manager, name, parent, parentClassLoader, pipeline, resources, sm, startChildren, startStopExecutor, support`

    - ### Fields inherited from class org.apache.catalina.util.LifecycleMBeanBase

      `mserver`

    - ### Fields inherited from interface org.apache.catalina.Context

      `ADD_WELCOME_FILE_EVENT, CHANGE_SESSION_ID_EVENT, CLEAR_WELCOME_FILES_EVENT, RELOAD_EVENT, REMOVE_WELCOME_FILE_EVENT`

    - ### Fields inherited from interface org.apache.catalina.Container

      `ADD_CHILD_EVENT, ADD_MAPPER_EVENT, ADD_VALVE_EVENT, REMOVE_CHILD_EVENT, REMOVE_MAPPER_EVENT, REMOVE_VALVE_EVENT`

    - ### Fields inherited from interface org.apache.catalina.Lifecycle

      `AFTER_DESTROY_EVENT, AFTER_INIT_EVENT, AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_DESTROY_EVENT, BEFORE_INIT_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, CONFIGURE_START_EVENT, CONFIGURE_STOP_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplicatedContext()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassLoader[]` | `getClassLoaders()`
    `int` | `getMapSendOptions()`
    `ServletContext` | `getServletContext()` Return the servlet context for which this Context is a facade.
    `void` | `objectMadePrimay(Object key, Object value)`
    `void` | `setMapSendOptions(int mapSendOptions)`
    `protected void` | `startInternal()` Start this component and implement the requirements of `LifecycleBase.startInternal()`.
    `protected void` | `stopInternal()` Stop this component and implement the requirements of `LifecycleBase.stopInternal()`.

    - ### Methods inherited from class org.apache.catalina.core.StandardContext

      `addApplicationEventListener, addApplicationLifecycleListener, addApplicationListener, addApplicationListener, addApplicationParameter, addChild, addConstraint, addErrorPage, addFilterDef, addFilterMap, addFilterMapBefore, addInstanceListener, addLocaleEncodingMappingParameter, addMessageDestination, addMessageDestinationRef, addMimeMapping, addNotificationListener, addParameter, addPostConstructMethod, addPreDestroyMethod, addResourceJarUrl, addResourcesDirContext, addRoleMapping, addSecurityRole, addServletContainerInitializer, addServletMapping, addServletMapping, addServletSecurity, addWatchedResource, addWelcomeFile, addWrapperLifecycle, addWrapperListener, adjustURLPattern, backgroundProcess, bindThread, createWrapper, destroyInternal, dynamicServletAdded, dynamicServletCreated, engineBase, filterStart, filterStop, findApplicationListeners, findApplicationParameters, findConstraints, findErrorPage, findErrorPage, findErrorPages, findFilterConfig, findFilterDef, findFilterDefs, findFilterMaps, findInstanceListeners, findMappingObject, findMessageDestination, findMessageDestinationRef, findMessageDestinationRefs, findMessageDestinations, findMimeMapping, findMimeMappings, findParameter, findParameters, findPostConstructMethod, findPostConstructMethods, findPreDestroyMethod, findPreDestroyMethods, findRoleMapping, findSecurityRole, findSecurityRoles, findServletMapping, findServletMappings, findStaticResources, findStatusPage, findStatusPages, findWatchedResources, findWelcomeFile, findWelcomeFiles, findWrapperLifecycles, findWrapperListeners, fireRequestDestroyEvent, fireRequestInitEvent, getAddWebinfClassesResources, getAliases, getAllowCasualMultipartParsing, getAltDDName, getAntiJARLocking, getAntiResourceLocking, getAppBase, getApplicationEventListeners, getApplicationLifecycleListeners, getAuthenticator, getAvailable, getBaseName, getBasePath, getCacheMaxSize, getCacheObjectMaxSize, getCacheTTL, getCharset, getCharsetMapper, getCharsetMapperClass, getClearReferencesHttpClientKeepAliveThread, getClearReferencesRmiTargets, getClearReferencesStatic, getClearReferencesStopThreads, getClearReferencesStopTimerThreads, getCompilerClasspath, getComputedFailCtxIfServletStartFails, getConfigFile, getConfigured, getContainerSciFilter, getCookies, getCopyXML, getCrossContext, getDefaultContextXml, getDefaultWebXml, getDelegate, getDeploymentDescriptor, getDispatchersUseEncodedPaths, getDisplayName, getDistributable, getDocBase, getEffectiveMajorVersion, getEffectiveMinorVersion, getEncodedPath, getErrorCount, getFailCtxIfServletStartFails, getFireRequestListenersOnForwards, getHostname, getIgnoreAnnotations, getInfo, getInstanceManager, getJ2EEApplication, getJ2EEServer, getJarScanner, getJavaVMs, getJndiExceptionOnFailedWrite, getJspConfigDescriptor, getLogEffectiveWebXml, getLoginConfig, getMapper, getMapperContextRootRedirectEnabled, getMapperDirectoryRedirectEnabled, getMaxTime, getMinTime, getNamingContextListener, getNamingResources, getNotificationInfo, getObjectNameKeyProperties, getOriginalDocBase, getOverride, getParentClassLoader, getPath, getPaused, getPreemptiveAuthentication, getPrivileged, getProcessingTime, getProcessTlds, getPublicId, getRealPath, getReloadable, getRenewThreadsWhenStoppingContext, getRequestCount, getResourceOnlyServlets, getSendRedirectBody, getServer, getServlets, getSessionCookieDomain, getSessionCookieName, getSessionCookiePath, getSessionCookiePathUsesTrailingSlash, getSessionTimeout, getStartTime, getStartupTime, getStaticResources, getSwallowAbortedUploads, getSwallowOutput, getTldNamespaceAware, getTldScanTime, getTldValidation, getUnloadDelay, getUnpackWAR, getUseHttpOnly, getUseRelativeRedirects, getValidateClientProvidedNewSessionId, getWebappVersion, getWelcomeFiles, getWorkDir, getWorkPath, getWrapperClass, getXmlBlockExternal, getXmlNamespaceAware, getXmlValidation, initInternal, isAllowLinking, isCachingAllowed, isEventProvider, isFilesystemBased, isReplaceWelcomeFiles, isResourceOnlyServlet, isSaveConfig, isServlet22, isStateManageable, isStatisticsProvider, isUseNaming, listenerStart, listenerStop, loadOnStartup, reload, removeApplicationListener, removeApplicationParameter, removeChild, removeConstraint, removeErrorPage, removeFilterDef, removeFilterMap, removeInstanceListener, removeMessageDestination, removeMessageDestinationRef, removeMimeMapping, removeNotificationListener, removeNotificationListener, removeParameter, removePostConstructMethod, removePreDestroyMethod, removeRoleMapping, removeSecurityRole, removeServletMapping, removeWatchedResource, removeWelcomeFile, removeWrapperLifecycle, removeWrapperListener, resourcesStart, resourcesStop, setAddWebinfClassesResources, setAliases, setAllowCasualMultipartParsing, setAllowLinking, setAltDDName, setAntiJARLocking, setAntiResourceLocking, setApplicationEventListeners, setApplicationLifecycleListeners, setCacheMaxSize, setCacheObjectMaxSize, setCacheTTL, setCachingAllowed, setCharsetMapper, setCharsetMapperClass, setClearReferencesHttpClientKeepAliveThread, setClearReferencesRmiTargets, setClearReferencesStatic, setClearReferencesStopThreads, setClearReferencesStopTimerThreads, setCompilerClasspath, setConfigFile, setConfigured, setContainerSciFilter, setCookies, setCopyXML, setCrossContext, setDefaultContextXml, setDefaultWebXml, setDelegate, setDispatchersUseEncodedPaths, setDisplayName, setDistributable, setDocBase, setEffectiveMajorVersion, setEffectiveMinorVersion, setFailCtxIfServletStartFails, setFireRequestListenersOnForwards, setIgnoreAnnotations, setInstanceManager, setJ2EEApplication, setJ2EEServer, setJarScanner, setJavaVMs, setJndiExceptionOnFailedWrite, setLogEffectiveWebXml, setLoginConfig, setMapperContextRootRedirectEnabled, setMapperDirectoryRedirectEnabled, setNamingContextListener, setNamingResources, setOriginalDocBase, setOverride, setPath, setPreemptiveAuthentication, setPrivileged, setProcessTlds, setPublicId, setReloadable, setRenewThreadsWhenStoppingContext, setReplaceWelcomeFiles, setResourceOnlyServlets, setResources, setSaveConfig, setSendRedirectBody, setServer, setSessionCookieDomain, setSessionCookieName, setSessionCookiePath, setSessionCookiePathUsesTrailingSlash, setSessionTimeout, setStartupTime, setSwallowAbortedUploads, setSwallowOutput, setTldNamespaceAware, setTldScanTime, setTldValidation, setUnloadDelay, setUnpackWAR, setUseHttpOnly, setUseNaming, setUseRelativeRedirects, setValidateClientProvidedNewSessionId, setWebappVersion, setWorkDir, setWrapperClass, setXmlBlockExternal, setXmlNamespaceAware, setXmlValidation, startRecursive, toString, unbindThread`

    - ### Methods inherited from class org.apache.catalina.core.ContainerBase

      `addContainerListener, addPropertyChangeListener, addValve, findChild, findChildren, findContainerListeners, fireContainerEvent, getAccessLog, getBackgroundProcessorDelay, getChildren, getCluster, getClusterInternal, getDomainInternal, getLoader, getLoaderInternal, getLogger, getManager, getManagerInternal, getMappingObject, getName, getParent, getPipeline, getRealm, getRealmInternal, getResources, getResourcesInternal, getStartChildren, getStartStopThreads, invoke, logAccess, logName, removeContainerListener, removePropertyChangeListener, setBackgroundProcessorDelay, setCluster, setLoader, setManager, setName, setParent, setParentClassLoader, setRealm, setStartChildren, setStartStopThreads, threadStart, threadStop`

    - ### Methods inherited from class org.apache.catalina.util.LifecycleMBeanBase

      `getDomain, getObjectName, postDeregister, postRegister, preDeregister, preRegister, register, setDomain, unregister`

    - ### Methods inherited from class org.apache.catalina.util.LifecycleBase

      `addLifecycleListener, destroy, findLifecycleListeners, fireLifecycleEvent, getState, getStateName, init, removeLifecycleListener, setState, setState, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.catalina.Container

      `addContainerListener, addPropertyChangeListener, findChild, findChildren, findContainerListeners, fireContainerEvent, getAccessLog, getBackgroundProcessorDelay, getCluster, getLoader, getLogger, getManager, getMappingObject, getName, getObjectName, getParent, getPipeline, getRealm, getResources, getStartStopThreads, invoke, logAccess, removeContainerListener, removePropertyChangeListener, setBackgroundProcessorDelay, setCluster, setLoader, setManager, setName, setParent, setParentClassLoader, setRealm, setStartStopThreads`

    - ### Methods inherited from interface org.apache.catalina.Lifecycle

      `addLifecycleListener, destroy, findLifecycleListeners, getState, getStateName, init, removeLifecycleListener, start, stop`

- - ### Field Detail

    - #### DEFAULT_REPL_TIMEOUT

          protected static long DEFAULT_REPL_TIMEOUT

  - ### Constructor Detail

    - #### ReplicatedContext

          public ReplicatedContext()

  - ### Method Detail

    - #### startInternal

          protected void startInternal()
                                throws LifecycleException

      Start this component and implement the requirements of `LifecycleBase.startInternal()`.
      Overrides:
        `startInternal` in class `StandardContext`
      Throws:
        `LifecycleException` - if this component detects a fatal error that prevents this component from being used

    - #### stopInternal

          protected void stopInternal()
                               throws LifecycleException

      Stop this component and implement the requirements of `LifecycleBase.stopInternal()`.
      Overrides:
        `stopInternal` in class `StandardContext`
      Throws:
        `LifecycleException` - if this component detects a fatal error that prevents this component from being used

    - #### setMapSendOptions

          public void setMapSendOptions(int mapSendOptions)

    - #### getMapSendOptions

          public int getMapSendOptions()

    - #### getClassLoaders

          public ClassLoader[] getClassLoaders()

    - #### getServletContext

          public ServletContext getServletContext()

      Description copied from class: `StandardContext`
      Return the servlet context for which this Context is a facade.
      Specified by:
        `getServletContext` in interface `Context`
      Overrides:
        `getServletContext` in class `StandardContext`

    - #### objectMadePrimay

          public void objectMadePrimay(Object key,
                              Object value)

      Specified by:
        `objectMadePrimay` in interface `AbstractReplicatedMap.MapOwner`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.